//
//  MapView.swift
//  modalview
//
//  Created by kunii on 2017/09/25.
//  Copyright © 2017年 Takahiro Kunii. All rights reserved.
//

import UIKit

class MapView: UIView {
    override init(frame: CGRect) {
        super.init(frame:frame)
        let subview = UIImageView(image:UIImage(named:"map"))
        subview.contentMode = .scaleAspectFill
        self.addSubview(subview)
        let swipeGestureRecognizer = UISwipeGestureRecognizer(target: self, action: #selector(swipe))
        swipeGestureRecognizer.direction = .down
        swipeGestureRecognizer.requiresExclusiveTouchType = true
        self.addGestureRecognizer(swipeGestureRecognizer)
    }
    
    required init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    @objc func swipe() {
        UIView.animate(withDuration: 1, animations: {
            self.frame.origin.y = self.frame.maxY
        }) { finished in
            self.removeFromSuperview()
        }
    }

    /*
    // Only override draw() if you perform custom drawing.
    // An empty implementation adversely affects performance during animation.
    override func draw(_ rect: CGRect) {
        // Drawing code
    }
    */

}
